<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta charset="utf-8" />
<meta name="generator" content="Docutils 0.21b.dev: https://docutils.sourceforge.io/" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<meta name="author" content="David Goodger" />
<meta name="dcterms.date" content="$Date$" />
<meta name="dcterms.rights" content="This document has been placed in the public domain." />
<title>reStructuredText Interpreted Text Roles</title>
<link rel="schema.dcterms" href="http://purl.org/dc/terms/"/>
<link rel="stylesheet" href="../../../docutils/writers/html5_polyglot/minimal.css" type="text/css" />
<link rel="stylesheet" href="../../../docutils/writers/html5_polyglot/responsive.css" type="text/css" />
</head>
<body class="with-toc">
<header>
<p><a class="reference external" href="https://docutils.sourceforge.io">Docutils</a> | <a class="reference external" href="../../index.html">Overview</a> | <a class="reference external" href="../../index.html#project-fundamentals">About</a> | <a class="reference external" href="../../index.html#user">Users</a> | <a class="reference external" href="../../index.html#ref">Reference</a> | <a class="reference external" href="../../index.html#howto">Developers</a></p>
</header>
<main id="restructuredtext-interpreted-text-roles">
<h1 class="title">reStructuredText Interpreted Text Roles</h1>
<dl class="docinfo">
<dt class="author">Author<span class="colon">:</span></dt>
<dd class="author"><p>David Goodger</p></dd>
<dt class="contact">Contact<span class="colon">:</span></dt>
<dd class="contact"><a class="reference external" href="mailto:docutils-develop&#64;lists.sourceforge.net">docutils-develop&#64;lists.sourceforge.net</a></dd>
<dt class="revision">Revision<span class="colon">:</span></dt>
<dd class="revision">$Revision$</dd>
<dt class="date">Date<span class="colon">:</span></dt>
<dd class="date">$Date$</dd>
<dt class="copyright">Copyright<span class="colon">:</span></dt>
<dd class="copyright">This document has been placed in the public domain.</dd>
</dl>
<div class="topic abstract" role="doc-abstract">
<p class="topic-title">Abstract</p>
<p>This document describes the interpreted text roles implemented in the
reference reStructuredText parser.</p>
</div>
<!-- Minimal menu bar for inclusion in documentation sources
in ``docutils/docs/*/`` sub-sub-diretories.

Attention: this is not a standalone document. -->
<p>Interpreted text uses backquotes (`) around the text.  An explicit
role marker may optionally appear before or after the text, delimited
with colons.  For example:</p>
<pre class="literal-block">This is `interpreted text` using the default role.

This is :title:`interpreted text` using an explicit role.</pre>
<p>A default role may be defined by applications of reStructuredText; it
is used if no explicit <span class="docutils literal">:role:</span> prefix or suffix is given.  The
&quot;default default role&quot; is <a class="reference internal" href="#title-reference">:title-reference:</a>.  It can be changed
using the <a class="reference external" href="directives.html#default-role">default-role</a> directive.</p>
<p>See the <a class="reference external" href="restructuredtext.html#interpreted-text">Interpreted Text</a> section in the <a class="reference external" href="restructuredtext.html">reStructuredText Markup
Specification</a> for syntax details.  For details on the hierarchy of
elements, please see <a class="reference external" href="../doctree.html">The Docutils Document Tree</a> and the <a class="reference external" href="../docutils.dtd">Docutils
Generic DTD</a> XML document type definition.  For interpreted text role
implementation details, see <a class="reference external" href="../../howto/rst-roles.html">Creating reStructuredText Interpreted
Text Roles</a>.</p>
<nav class="contents" id="contents" role="doc-toc">
<p class="topic-title">Contents</p>
<ul class="simple">
<li><p><a class="reference internal" href="#customization" id="toc-entry-1">Customization</a></p></li>
<li><p><a class="reference internal" href="#standard-roles" id="toc-entry-2">Standard Roles</a></p>
<ul>
<li><p><a class="reference internal" href="#abbreviation" id="toc-entry-3"><span class="docutils literal">:abbreviation:</span></a></p></li>
<li><p><a class="reference internal" href="#acronym" id="toc-entry-4"><span class="docutils literal">:acronym:</span></a></p></li>
<li><p><a class="reference internal" href="#code" id="toc-entry-5"><span class="docutils literal">:code:</span></a></p></li>
<li><p><a class="reference internal" href="#emphasis" id="toc-entry-6"><span class="docutils literal">:emphasis:</span></a></p></li>
<li><p><a class="reference internal" href="#literal" id="toc-entry-7"><span class="docutils literal">:literal:</span></a></p></li>
<li><p><a class="reference internal" href="#math" id="toc-entry-8"><span class="docutils literal">:math:</span></a></p></li>
<li><p><a class="reference internal" href="#pep-reference" id="toc-entry-9"><span class="docutils literal"><span class="pre">:pep-reference:</span></span></a></p></li>
<li><p><a class="reference internal" href="#rfc-reference" id="toc-entry-10"><span class="docutils literal"><span class="pre">:rfc-reference:</span></span></a></p></li>
<li><p><a class="reference internal" href="#strong" id="toc-entry-11"><span class="docutils literal">:strong:</span></a></p></li>
<li><p><a class="reference internal" href="#subscript" id="toc-entry-12"><span class="docutils literal">:subscript:</span></a></p></li>
<li><p><a class="reference internal" href="#superscript" id="toc-entry-13"><span class="docutils literal">:superscript:</span></a></p></li>
<li><p><a class="reference internal" href="#title-reference" id="toc-entry-14"><span class="docutils literal"><span class="pre">:title-reference:</span></span></a></p></li>
</ul>
</li>
<li><p><a class="reference internal" href="#specialized-roles" id="toc-entry-15">Specialized Roles</a></p>
<ul>
<li><p><a class="reference internal" href="#raw" id="toc-entry-16"><span class="docutils literal">raw</span></a></p></li>
</ul>
</li>
</ul>
</nav>
<section id="customization">
<h2><a class="toc-backref" href="#toc-entry-1" role="doc-backlink">Customization</a><a class="self-link" title="link to this section" href="#customization"></a></h2>
<p>Custom interpreted text roles may be defined in a document with the
<a class="reference external" href="directives.html#role">&quot;role&quot; directive</a>.  Customization details are listed with each role.</p>
<p id="class">A <span class="docutils literal">class</span> option is recognized by the &quot;role&quot; directive for most
interpreted text roles.  A <a class="reference external" href="directives.html#role-class">description</a> is provided in the <a class="reference external" href="directives.html#role">&quot;role&quot;
directive</a> documentation.</p>
</section>
<section id="standard-roles">
<h2><a class="toc-backref" href="#toc-entry-2" role="doc-backlink">Standard Roles</a><a class="self-link" title="link to this section" href="#standard-roles"></a></h2>
<section id="abbreviation">
<h3><a class="toc-backref" href="#toc-entry-3" role="doc-backlink"><span class="docutils literal">:abbreviation:</span></a><a class="self-link" title="link to this section" href="#abbreviation"></a></h3>
<dl class="field-list simple">
<dt>Aliases<span class="colon">:</span></dt>
<dd><p><span class="docutils literal">:ab:</span></p>
</dd>
<dt>DTD Element<span class="colon">:</span></dt>
<dd><p><a class="reference external" href="../doctree.html#abbreviation">abbreviation</a></p>
</dd>
<dt>Customization<span class="colon">:</span></dt>
<dd><dl class="field-list simple">
<dt>Options<span class="colon">:</span></dt>
<dd><p><a class="reference internal" href="#class">class</a>.</p>
</dd>
<dt>Content<span class="colon">:</span></dt>
<dd><p>None.</p>
</dd>
</dl>
</dd>
</dl>
<p>An abbreviation used in the document.
An example of an abbreviation is ‘St’ being used instead of ‘Street’.</p>
</section>
<section id="acronym">
<h3><a class="toc-backref" href="#toc-entry-4" role="doc-backlink"><span class="docutils literal">:acronym:</span></a><a class="self-link" title="link to this section" href="#acronym"></a></h3>
<dl class="field-list simple">
<dt>Aliases<span class="colon">:</span></dt>
<dd><p><span class="docutils literal">:ac:</span></p>
</dd>
<dt>DTD Element<span class="colon">:</span></dt>
<dd><p><a class="reference external" href="../doctree.html#acronym">acronym</a></p>
</dd>
<dt>Customization<span class="colon">:</span></dt>
<dd><dl class="field-list simple">
<dt>Options<span class="colon">:</span></dt>
<dd><p><a class="reference internal" href="#class">class</a>.</p>
</dd>
<dt>Content<span class="colon">:</span></dt>
<dd><p>None.</p>
</dd>
</dl>
</dd>
</dl>
<p>An acronym.</p>
</section>
<section id="code">
<h3><a class="toc-backref" href="#toc-entry-5" role="doc-backlink"><span class="docutils literal">:code:</span></a><a class="self-link" title="link to this section" href="#code"></a></h3>
<dl class="field-list simple">
<dt>Aliases<span class="colon">:</span></dt>
<dd><p>None</p>
</dd>
<dt>DTD Element<span class="colon">:</span></dt>
<dd><p><a class="reference external" href="../doctree.html#literal">literal</a></p>
</dd>
<dt>Customization<span class="colon">:</span></dt>
<dd><dl class="field-list simple">
<dt>Options<span class="colon">:</span></dt>
<dd><p><a class="reference internal" href="#class">class</a>, language</p>
</dd>
<dt>Content<span class="colon">:</span></dt>
<dd><p>None.</p>
</dd>
</dl>
</dd>
</dl>
<p>(New in Docutils 0.9.)</p>
<p>The <span class="docutils literal">code</span> role marks its content as code in a formal language.</p>
<p>For syntax highlight of inline code, the <a class="reference external" href="directives.html#role">&quot;role&quot; directive</a> can be used to
build custom roles with the code language specified in the &quot;language&quot;
option.</p>
<p>For example, the following creates a LaTeX-specific &quot;latex&quot; role:</p>
<pre class="literal-block">.. role:: latex(code)
   :language: latex</pre>
<p>Content of the new role is parsed and tagged by the <a class="reference external" href="https://pygments.org/">Pygments</a> syntax
highlighter. See the <a class="reference external" href="directives.html#code">code directive</a> for more info on parsing and display
of code in reStructuredText.</p>
<p>In addition to &quot;<a class="reference internal" href="#class">class</a>&quot;, the following option is recognized:</p>
<dl class="simple">
<dt><span class="docutils literal">language</span><span class="classifier">text</span></dt>
<dd><p>Name of the code's language.
See <a class="reference external" href="https://pygments.org/languages/">supported languages and markup formats</a> for recognized values.</p>
</dd>
</dl>
</section>
<section id="emphasis">
<h3><a class="toc-backref" href="#toc-entry-6" role="doc-backlink"><span class="docutils literal">:emphasis:</span></a><a class="self-link" title="link to this section" href="#emphasis"></a></h3>
<dl class="field-list simple">
<dt>Aliases<span class="colon">:</span></dt>
<dd><p>None</p>
</dd>
<dt>DTD Element<span class="colon">:</span></dt>
<dd><p><a class="reference external" href="../doctree.html#emphasis">emphasis</a></p>
</dd>
<dt>Customization<span class="colon">:</span></dt>
<dd><dl class="field-list simple">
<dt>Options<span class="colon">:</span></dt>
<dd><p><a class="reference internal" href="#class">class</a>.</p>
</dd>
<dt>Content<span class="colon">:</span></dt>
<dd><p>None.</p>
</dd>
</dl>
</dd>
</dl>
<p>Implements emphasis.  These are equivalent:</p>
<pre class="literal-block">*text*
:emphasis:`text`</pre>
</section>
<section id="literal">
<h3><a class="toc-backref" href="#toc-entry-7" role="doc-backlink"><span class="docutils literal">:literal:</span></a><a class="self-link" title="link to this section" href="#literal"></a></h3>
<dl class="field-list simple">
<dt>Aliases<span class="colon">:</span></dt>
<dd><p>None</p>
</dd>
<dt>DTD Element<span class="colon">:</span></dt>
<dd><p><a class="reference external" href="../doctree.html#literal">literal</a></p>
</dd>
<dt>Customization<span class="colon">:</span></dt>
<dd><dl class="field-list simple">
<dt>Options<span class="colon">:</span></dt>
<dd><p><a class="reference internal" href="#class">class</a>.</p>
</dd>
<dt>Content<span class="colon">:</span></dt>
<dd><p>None.</p>
</dd>
</dl>
</dd>
</dl>
<p>Implements inline literal text.  These are equivalent:</p>
<pre class="literal-block">``text``
:literal:`text`</pre>
<p>Care must be taken with backslash-escapes though.  These are <em>not</em>
equivalent:</p>
<pre class="literal-block">``text \ and \ backslashes``
:literal:`text \ and \ backslashes`</pre>
<p>The backslashes in the first line are preserved (and do nothing),
whereas the backslashes in the second line escape the following
spaces.</p>
</section>
<section id="math">
<h3><a class="toc-backref" href="#toc-entry-8" role="doc-backlink"><span class="docutils literal">:math:</span></a><a class="self-link" title="link to this section" href="#math"></a></h3>
<dl class="field-list simple">
<dt>Aliases<span class="colon">:</span></dt>
<dd><p>None</p>
</dd>
<dt>DTD Element<span class="colon">:</span></dt>
<dd><p><a class="reference external" href="../doctree.html#math">math</a></p>
</dd>
<dt>Customization<span class="colon">:</span></dt>
<dd><dl class="field-list simple">
<dt>Options<span class="colon">:</span></dt>
<dd><p><a class="reference internal" href="#class">class</a></p>
</dd>
<dt>Content<span class="colon">:</span></dt>
<dd><p>None.</p>
</dd>
</dl>
</dd>
</dl>
<p>(New in Docutils 0.8.)</p>
<p>The <span class="docutils literal">math</span> role marks its content as mathematical notation (inline
formula).</p>
<p>The input format is LaTeX math syntax without the “math delimiters“
(<span class="docutils literal">$ $</span>), for example:</p>
<pre class="literal-block">The area of a circle is :math:`A_\text{c} = (\pi/4) d^2`.</pre>
<p>See the <a class="reference external" href="directives.html#math">math directive</a> (producing display formulas) for more info
on mathematical notation in reStructuredText.</p>
</section>
<section id="pep-reference">
<h3><a class="toc-backref" href="#toc-entry-9" role="doc-backlink"><span class="docutils literal"><span class="pre">:pep-reference:</span></span></a><a class="self-link" title="link to this section" href="#pep-reference"></a></h3>
<dl class="field-list simple">
<dt>Aliases<span class="colon">:</span></dt>
<dd><p><span class="docutils literal">:PEP:</span></p>
</dd>
<dt>DTD Element<span class="colon">:</span></dt>
<dd><p><a class="reference external" href="../doctree.html#reference">reference</a></p>
</dd>
<dt>Customization<span class="colon">:</span></dt>
<dd><dl class="field-list simple">
<dt>Options<span class="colon">:</span></dt>
<dd><p><a class="reference internal" href="#class">class</a>.</p>
</dd>
<dt>Content<span class="colon">:</span></dt>
<dd><p>None.</p>
</dd>
</dl>
</dd>
</dl>
<p>The <span class="docutils literal"><span class="pre">:pep-reference:</span></span> role is used to create an HTTP reference to a
PEP (Python Enhancement Proposal).  The <span class="docutils literal">:PEP:</span> alias is usually
used.  The content must be a number, for example:</p>
<pre class="literal-block">See :PEP:`287` for more information about reStructuredText.</pre>
<p>This is equivalent to:</p>
<pre class="literal-block">See `PEP 287`__ for more information about reStructuredText.

__ https://peps.python.org/pep-0287</pre>
</section>
<section id="rfc-reference">
<h3><a class="toc-backref" href="#toc-entry-10" role="doc-backlink"><span class="docutils literal"><span class="pre">:rfc-reference:</span></span></a><a class="self-link" title="link to this section" href="#rfc-reference"></a></h3>
<dl class="field-list simple">
<dt>Aliases<span class="colon">:</span></dt>
<dd><p><span class="docutils literal">:RFC:</span></p>
</dd>
<dt>DTD Element<span class="colon">:</span></dt>
<dd><p><a class="reference external" href="../doctree.html#reference">reference</a></p>
</dd>
<dt>Customization<span class="colon">:</span></dt>
<dd><dl class="field-list simple">
<dt>Options<span class="colon">:</span></dt>
<dd><p><a class="reference internal" href="#class">class</a>.</p>
</dd>
<dt>Content<span class="colon">:</span></dt>
<dd><p>None.</p>
</dd>
</dl>
</dd>
</dl>
<p>The <span class="docutils literal"><span class="pre">:rfc-reference:</span></span> role is used to create an HTTP reference to an
RFC (Internet Request for Comments).  The <span class="docutils literal">:RFC:</span> alias is usually
used.  The content must be a number <a class="brackets" href="#footnote-1" id="footnote-reference-1" role="doc-noteref"><span class="fn-bracket">[</span>1<span class="fn-bracket">]</span></a>, for example:</p>
<pre class="literal-block">See :RFC:`2822` for information about email headers.</pre>
<p>This is equivalent to:</p>
<pre class="literal-block">See `RFC 2822`__ for information about email headers.

__ https://tools.ietf.org/html/rfc2822.html</pre>
<aside class="footnote-list brackets">
<aside class="footnote brackets" id="footnote-1" role="doc-footnote">
<span class="label"><span class="fn-bracket">[</span><a role="doc-backlink" href="#footnote-reference-1">1</a><span class="fn-bracket">]</span></span>
<p>You can link to a specific section by saying
<span class="docutils literal"><span class="pre">:rfc:`number#anchor`</span></span>. (New in Docutils 0.15.)</p>
<aside class="admonition warning">
<p class="admonition-title">Warning</p>
<p>The anchor (anything following a <span class="docutils literal">#</span>) is appended to
the reference without any checks and not shown in the link text.</p>
<p>It is recommended to use <a class="reference external" href="restructuredtext.html#hyperlink-references">hyperlink references</a> for
anything more complex than a single RFC number.</p>
</aside>
</aside>
</aside>
</section>
<section id="strong">
<h3><a class="toc-backref" href="#toc-entry-11" role="doc-backlink"><span class="docutils literal">:strong:</span></a><a class="self-link" title="link to this section" href="#strong"></a></h3>
<dl class="field-list simple">
<dt>Aliases<span class="colon">:</span></dt>
<dd><p>None</p>
</dd>
<dt>DTD Element<span class="colon">:</span></dt>
<dd><p><a class="reference external" href="../doctree.html#strong">strong</a></p>
</dd>
<dt>Customization<span class="colon">:</span></dt>
<dd><dl class="field-list simple">
<dt>Options<span class="colon">:</span></dt>
<dd><p><a class="reference internal" href="#class">class</a>.</p>
</dd>
<dt>Content<span class="colon">:</span></dt>
<dd><p>None.</p>
</dd>
</dl>
</dd>
</dl>
<p>Implements strong emphasis.  These are equivalent:</p>
<pre class="literal-block">**text**
:strong:`text`</pre>
</section>
<section id="subscript">
<h3><a class="toc-backref" href="#toc-entry-12" role="doc-backlink"><span class="docutils literal">:subscript:</span></a><a class="self-link" title="link to this section" href="#subscript"></a></h3>
<dl class="field-list simple">
<dt>Aliases<span class="colon">:</span></dt>
<dd><p><span class="docutils literal">:sub:</span></p>
</dd>
<dt>DTD Element<span class="colon">:</span></dt>
<dd><p><a class="reference external" href="../doctree.html#subscript">subscript</a></p>
</dd>
<dt>Customization<span class="colon">:</span></dt>
<dd><dl class="field-list simple">
<dt>Options<span class="colon">:</span></dt>
<dd><p><a class="reference internal" href="#class">class</a>.</p>
</dd>
<dt>Content<span class="colon">:</span></dt>
<dd><p>None.</p>
</dd>
</dl>
</dd>
</dl>
<p>Implements subscripts.</p>
<aside class="admonition tip">
<p class="admonition-title">Tip</p>
<p>Whitespace or punctuation is required around interpreted text, but
often not desired with subscripts &amp; superscripts.
Backslash-escaped whitespace can be used; the whitespace will be
removed from the processed document:</p>
<pre class="literal-block">H\ :sub:`2`\ O
E = mc\ :sup:`2`</pre>
<p>In such cases, readability of the plain text can be greatly
improved with substitutions:</p>
<pre class="literal-block">The chemical formula for pure water is |H2O|.

.. |H2O| replace:: H\ :sub:`2`\ O</pre>
<p>See <a class="reference external" href="restructuredtext.html">the reStructuredText spec</a> for further information on
<a class="reference external" href="restructuredtext.html#character-level-inline-markup">character-level markup</a> and <a class="reference external" href="restructuredtext.html#substitution-references">the substitution mechanism</a>.</p>
</aside>
</section>
<section id="superscript">
<h3><a class="toc-backref" href="#toc-entry-13" role="doc-backlink"><span class="docutils literal">:superscript:</span></a><a class="self-link" title="link to this section" href="#superscript"></a></h3>
<dl class="field-list simple">
<dt>Aliases<span class="colon">:</span></dt>
<dd><p><span class="docutils literal">:sup:</span></p>
</dd>
<dt>DTD Element<span class="colon">:</span></dt>
<dd><p><a class="reference external" href="../doctree.html#superscript">superscript</a></p>
</dd>
<dt>Customization<span class="colon">:</span></dt>
<dd><dl class="field-list simple">
<dt>Options<span class="colon">:</span></dt>
<dd><p><a class="reference internal" href="#class">class</a>.</p>
</dd>
<dt>Content<span class="colon">:</span></dt>
<dd><p>None.</p>
</dd>
</dl>
</dd>
</dl>
<p>Implements superscripts.  See the tip in <a class="reference internal" href="#subscript">:subscript:</a> above.</p>
</section>
<section id="title-reference">
<h3><a class="toc-backref" href="#toc-entry-14" role="doc-backlink"><span class="docutils literal"><span class="pre">:title-reference:</span></span></a><a class="self-link" title="link to this section" href="#title-reference"></a></h3>
<dl class="field-list simple">
<dt>Aliases<span class="colon">:</span></dt>
<dd><p><span class="docutils literal">:title:</span>, <span class="docutils literal">:t:</span>.</p>
</dd>
<dt>DTD Element<span class="colon">:</span></dt>
<dd><p><a class="reference external" href="../doctree.html#title-reference">title_reference</a></p>
</dd>
<dt>Customization<span class="colon">:</span></dt>
<dd><dl class="field-list simple">
<dt>Options<span class="colon">:</span></dt>
<dd><p><a class="reference internal" href="#class">class</a>.</p>
</dd>
<dt>Content<span class="colon">:</span></dt>
<dd><p>None.</p>
</dd>
</dl>
</dd>
</dl>
<p>The <span class="docutils literal"><span class="pre">:title-reference:</span></span> role is used to describe the titles of
books, periodicals, and other materials.  It is the equivalent of the
HTML &quot;cite&quot; element, and it is expected that HTML writers will
typically render &quot;title_reference&quot; elements using &quot;cite&quot;.</p>
<p>Since title references are typically rendered with italics, they are
often marked up using <span class="docutils literal">*emphasis*</span>, which is misleading and vague.
The &quot;title_reference&quot; element provides accurate and unambiguous
descriptive markup.</p>
<p>Let's assume <span class="docutils literal"><span class="pre">:title-reference:</span></span> is the default interpreted text
role (see below) for this example:</p>
<pre class="literal-block">`Design Patterns` [GoF95]_ is an excellent read.</pre>
<p>The following document fragment (<a class="reference external" href="../doctree.html#pseudo-xml">pseudo-XML</a>) will result from
processing:</p>
<pre class="literal-block">&lt;paragraph&gt;
    &lt;title_reference&gt;
        Design Patterns

    &lt;citation_reference refname=&quot;gof95&quot;&gt;
        GoF95
     is an excellent read.</pre>
<p><span class="docutils literal"><span class="pre">:title-reference:</span></span> is the default interpreted text role in the
standard reStructuredText parser.  This means that no explicit role is
required.  Applications of reStructuredText may designate a different
default role, in which case the explicit <span class="docutils literal"><span class="pre">:title-reference:</span></span> role
must be used to obtain a <span class="docutils literal">title_reference</span> element.</p>
</section>
</section>
<section id="specialized-roles">
<h2><a class="toc-backref" href="#toc-entry-15" role="doc-backlink">Specialized Roles</a><a class="self-link" title="link to this section" href="#specialized-roles"></a></h2>
<section id="raw">
<h3><a class="toc-backref" href="#toc-entry-16" role="doc-backlink"><span class="docutils literal">raw</span></a><a class="self-link" title="link to this section" href="#raw"></a></h3>
<dl class="field-list simple">
<dt>Aliases<span class="colon">:</span></dt>
<dd><p>None</p>
</dd>
<dt>DTD Element<span class="colon">:</span></dt>
<dd><p><a class="reference internal" href="#raw">raw</a></p>
</dd>
<dt>Customization<span class="colon">:</span></dt>
<dd><dl class="field-list simple">
<dt>Options<span class="colon">:</span></dt>
<dd><p><a class="reference internal" href="#class">class</a>, format</p>
</dd>
<dt>Content<span class="colon">:</span></dt>
<dd><p>None</p>
</dd>
</dl>
</dd>
</dl>
<aside class="admonition warning">
<p class="admonition-title">Warning</p>
<p>The &quot;raw&quot; role is a stop-gap measure allowing the author to bypass
reStructuredText's markup.  It is a &quot;power-user&quot; feature that
should not be overused or abused.  The use of &quot;raw&quot; ties documents
to specific output formats and makes them less portable.</p>
<p>If you often need to use &quot;raw&quot;-derived interpreted text roles or
the &quot;raw&quot; directive, that is a sign either of overuse/abuse or that
functionality may be missing from reStructuredText.  Please
describe your situation in a message to the <a class="reference external" href="../../user/mailing-lists.html#docutils-user">Docutils-users</a> mailing
list.</p>
</aside>
<p>The &quot;raw&quot; role indicates non-reStructuredText data that is to be
passed untouched to the Writer.  It is the inline equivalent of the
<a class="reference external" href="directives.html#raw-directive">&quot;raw&quot; directive</a>; see its documentation for details on the
semantics.</p>
<p>The &quot;raw&quot; role cannot be used directly.  The <a class="reference external" href="directives.html#role">&quot;role&quot; directive</a> must
first be used to build custom roles based on the &quot;raw&quot; role.  One or
more formats (Writer names) must be provided in a &quot;format&quot; option.</p>
<p>For example, the following creates an HTML-specific &quot;raw-html&quot; role:</p>
<pre class="literal-block">.. role:: raw-html(raw)
   :format: html</pre>
<p>This role can now be used directly to pass data untouched to the HTML
Writer.  For example:</p>
<pre class="literal-block">If there just *has* to be a line break here,
:raw-html:`&lt;br /&gt;`
it can be accomplished with a &quot;raw&quot;-derived role.
But the line block syntax should be considered first.</pre>
<aside class="admonition tip">
<p class="admonition-title">Tip</p>
<p>Roles based on &quot;raw&quot; should clearly indicate their origin, so
they are not mistaken for reStructuredText markup.  Using a &quot;raw-&quot;
prefix for role names is recommended.</p>
</aside>
<p>In addition to &quot;<a class="reference internal" href="#class">class</a>&quot;, the following option is recognized:</p>
<dl class="simple">
<dt><span class="docutils literal">format</span><span class="classifier">text</span></dt>
<dd><p>One or more space-separated output format names (Writer names).</p>
</dd>
</dl>
<!-- References -->
</section>
</section>
</main>
<footer>
<p><a class="reference external" href="roles.txt">View document source</a>.
Generated on: 2023-09-13 17:06 UTC.
Generated by <a class="reference external" href="https://docutils.sourceforge.io/">Docutils</a> from <a class="reference external" href="https://docutils.sourceforge.io/rst.html">reStructuredText</a> source.
</p>
</footer>
</body>
</html>
